esphome:
  name: esphome-web-0fedb4
  friendly_name: Test

esp32:
  board: esp32dev
  framework:
    type: arduino

# Enable logging
logger:

# Enable Home Assistant API
api:
  encryption:
    key: "fm4ccKErq3XRViSecNf85iR4bASkJZjmHU57L1jfDYA="

ota:


wifi:
  ssid: !secret wifi_ssid
  password: !secret wifi_password

  # Enable fallback hotspot (captive portal) in case wifi connection fails
  ap:
    ssid: "Esphome-Web-0Fedb4"
    password: "BXHfWtTWeRew"

captive_portal:
    

sensor:
  - platform: dht
    pin: 4
    temperature:
      name: "Living Room Temperature"
    humidity:
      name: "Living Room Humidity"
    update_interval: 5s